package ru.myitschool.work.ui.searchuser

import android.os.Bundle
import android.view.View
import androidx.fragment.app.Fragment
import androidx.fragment.app.viewModels
import androidx.navigation.fragment.findNavController
import dagger.hilt.android.AndroidEntryPoint
import ru.myitschool.work.R
import ru.myitschool.work.databinding.FragmentSearchUserBinding
import ru.myitschool.work.ui.profile.ProfileDestination
import ru.myitschool.work.utils.collectWhenStarted


@AndroidEntryPoint
class SearchUserFragment : Fragment(R.layout.fragment_search_user) {

    private var _binding: FragmentSearchUserBinding? = null
    private val binding: FragmentSearchUserBinding get() = _binding!!


    private val viewModel: SearchUserViewModel by viewModels()

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        _binding = FragmentSearchUserBinding.bind(view)

        initCallback()
        subscribe()

        }

    private fun initCallback() {
        binding.floatingActionButton2.setOnClickListener { viewModel.closeSearchUser() }
    }

    private fun subscribe() {
        viewModel.action.collectWhenStarted(this) { action ->
            when (action) {
                is SearchUserViewModel.Action.OpenProfile -> {
                    findNavController().navigate(ProfileDestination) {
                        popUpTo<ProfileDestination> { inclusive = true }
                    }
                }
            }
        }
    }


    }


